## sword-1.9.0-16.src.tar.gz

=== bindings/swig/python/CMakeLists.txt ===
# This method works, but there is no established way to do the installation
#FIND_PACKAGE(PythonLibs REQUIRED)
#INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_DIRS})
#
#SET_SOURCE_FILES_PROPERTIES(../sword.i PROPERTIES CPLUSPLUS ON)
#SET_SOURCE_FILES_PROPERTIES(../sword.i PROPERTIES SWIG_FLAGS "")
#
#SWIG_ADD_MODULE(Sword python
#	"../sword.i"
#)
#
#SWIG_LINK_LIBRARIES(Sword ${PYTHON_LIBRARIES} ${SWORD_LINK_NAME})

UNSET(PYTHON_EXECUTABLE CACHE)
UNSET(PYTHON_LIBS CACHE)
SET(PythonInterp_FIND_VERSION "${SWORD_PYTHON_VERSION}")
SET(PythonInterp_FIND_VERSION_MAJOR "${SWORD_PYTHON_VERSION}")
SET(PythonLibs_FIND_VERSION "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}")
FIND_PACKAGE(PythonInterp REQUIRED)
FIND_PACKAGE(PythonLibs)

IF(NOT PYTHONLIBS_FOUND)
	MESSAGE(FATAL_ERROR "Failed to locate Python.h header.")
ENDIF(NOT PYTHONLIBS_FOUND)

SET(PY_SCRIPT "#!${PYTHON_EXECUTABLE}

from distutils.core import setup, Extension
setup(
    name='sword',
    version='${SWORD_VERSION}',
    maintainer='Sword Developers',
    maintainer_email='sword-devel@crosswire.org',
    url='http://www.crosswire.org/sword',
    py_modules=['Sword'],
    include_dirs=['${CMAKE_CURRENT_SOURCE_DIR}', '${CMAKE_SOURCE_DIR}/include', '${CMAKE_CURRENT_SOURCE_DIR}/..', '${CMAKE_CURRENT_SOURCE_DIR}../../'],
    ext_modules = [Extension('_Sword',['Sword.cxx'],
        libraries=[('sword')],
        library_dirs=[('${CMAKE_BINARY_DIR}')],
    )]
,)"
)

FILE(WRITE ${CMAKE_CURRENT_BINARY_DIR}/setup.py "${PY_SCRIPT}")

SWORD_SWIG_GENERATE(python)

ADD_CUSTOM_TARGET(swordswig_python${SWORD_PYTHON_VERSION} ALL
	COMMAND "${PYTHON_EXECUTABLE}" setup.py build
	DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/Sword.cxx" ${SWORD_LINK_NAME}
	WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")

# Allow user installation to custom directory
IF(NOT SWORD_PYTHON_INSTALL_DIR STREQUAL "")
	SET(SETUP_ARGS "\"--prefix=${SWORD_PYTHON_INSTALL_DIR}\"")
ENDIF(NOT SWORD_PYTHON_INSTALL_DIR STREQUAL "")
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/install.cmake.in"
	       "${CMAKE_CURRENT_BINARY_DIR}/install.cmake")

# Run external installation script
INSTALL(SCRIPT "${CMAKE_CURRENT_BINARY_DIR}/install.cmake")

MESSAGE(STATUS "Python: yes")

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Maintainer: Caleb Maclennan <caleb@alerque.com>
# Maintainer: T.J. Townsend <blakkheim@archlinux.org>
# Contributor: SanskritFritz (gmail)
# Contributor: Alexander Rødseth
# Contributor: Andrea Scarpino
# Contributor: Stefan Husmann <stefan-husmann@t-online.de>
# Contributor: TripleE <eric1548@yahoo.com>
# Contributor: Dominic Tubach

pkgbase=sword
pkgname=(sword python-sword)
_mainver=1.9
pkgver=1.9.0
pkgrel=16
pkgdesc="Library for Bible study programs"
arch=('x86_64')
url="https://www.crosswire.org/sword/"
license=('GPL')
makedepends=('curl' 'clucene' 'swig' 'cmake' 'python' 'python-setuptools')
source=("https://www.crosswire.org/ftpmirror/pub/$pkgbase/source/v$_mainver/$pkgbase-$pkgver.tar.gz")
sha512sums=('9ed3fbb5024af1f93b1473bae0d95534d02a5b00b3c9d41a0f855cee8106dc4e330844080adbee7c3f74c0e5ce1480bf16c87c842421337a341f641bae11137f')

build() {
  # http://site.icu-project.org/download/61#TOC-Migration-Issues
  CXXFLAGS+=' -DU_USING_ICU_NAMESPACE=1'

  #./configure --prefix=/usr --libdir=/usr/lib --sysconfdir=/etc
  cmake -B build -S $pkgbase-$pkgver \
      -DCMAKE_BUILD_TYPE='None' \
      -DLIBSWORD_LIBRARY_TYPE="Shared" \
      -DSYSCONF_INSTALL_DIR='/etc' \
      -DSWORD_BUILD_TESTS="Yes" \
      -DSWORD_PYTHON_3=TRUE \
      -DCMAKE_INSTALL_PREFIX=/usr \
      -Wno-dev
  cmake --build build
}

package_sword() {
  depends=('curl' 'clucene' 'xz')
  backup=('etc/sword.conf')

  DESTDIR="$pkgdir" cmake --install build
}

package_python-sword() {
  depends=('sword' 'python')

  cd build/bindings/swig/python3
  python setup.py install --root="$pkgdir" --prefix=/usr -O1 --skip-build
}
